Knowledge Base

Do you support TLS 1.2?

Yes, we support TLS 1.2 on the following platforms.

Managed servers with cPanel version 68 or greater.

Managed servers with any version of Plesk.